#ifndef ENGINE_H
#define ENGINE_H

#include "SparrowInput/input.h"

class Engine{
public:
    Engine(Input* input);
    //main function
    void update();
    void render();
    void updatePhysics();

    //utils function
    unsigned int getTime();
    unsigned int getDeltaTime();

private:
    Input* m_input;
    sf::Clock m_clock;
    unsigned int m_timeStamp = 0;
    unsigned int m_lastTimeStamp = 0;
};

#endif
