#include "scenemanager.h"
#include "scene.h"

SceneManager::SceneManager()
{

}

void SceneManager::addScene(std::string scene_name, Scene *p_scene)
{
    scenes[scene_name] = p_scene;
}

void SceneManager::setCurrentScene(std::string scene)
{
    if(scenes.count(scene)) p_currentScene = scenes[scene];
}

void SceneManager::update()
{
    p_currentScene->update();
}

void SceneManager::render()
{
    p_currentScene->render();
}
