#ifndef SCENEMANAGER_H
#define SCENEMANAGER_H

#include <string>
#include <unordered_map>

//define macro similar to the one in SparrowResource ?

class Scene;

class SceneManager
{
public:
    SceneManager();
    void addScene(std::string scene_name, Scene* p_scene);
    void setCurrentScene(std::string scene);
    void update();
    void render();

private:
    Scene* p_currentScene;
    std::unordered_map<std::string, Scene*> scenes;
};

#endif // SCENEMANAGER_H
